<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>CompoundTagBuilder (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CompoundTagBuilder (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/jnbt/DoubleTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/CompoundTagBuilder.html" target="_top">Frames</a></li>
<li><a href="CompoundTagBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.jnbt</div>
<h2 title="Class CompoundTagBuilder" class="title">Class CompoundTagBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.jnbt.CompoundTagBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CompoundTagBuilder</span>
extends java.lang.Object</pre>
<div class="block">Helps create compound tags.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#build--">build</a></span>()</code>
<div class="block">Build an unnamed compound tag with this builder's entries.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#create--">create</a></span>()</code>
<div class="block">Create a new builder instance.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#put-java.lang.String-com.sk89q.jnbt.Tag-">put</a></span>(java.lang.String&nbsp;key,
   <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&nbsp;value)</code>
<div class="block">Put the given key and tag into the compound tag.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putAll-java.util.Map-">putAll</a></span>(java.util.Map&lt;java.lang.String,? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;value)</code>
<div class="block">Put all the entries from the given map into this map.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putByte-java.lang.String-byte-">putByte</a></span>(java.lang.String&nbsp;key,
       byte&nbsp;value)</code>
<div class="block">Put the given key and value into the compound tag as a
 <code>ByteTag</code>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putByteArray-java.lang.String-byte:A-">putByteArray</a></span>(java.lang.String&nbsp;key,
            byte[]&nbsp;value)</code>
<div class="block">Put the given key and value into the compound tag as a
 <code>ByteArrayTag</code>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putDouble-java.lang.String-double-">putDouble</a></span>(java.lang.String&nbsp;key,
         double&nbsp;value)</code>
<div class="block">Put the given key and value into the compound tag as a
 <code>DoubleTag</code>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putFloat-java.lang.String-float-">putFloat</a></span>(java.lang.String&nbsp;key,
        float&nbsp;value)</code>
<div class="block">Put the given key and value into the compound tag as a
 <code>FloatTag</code>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putInt-java.lang.String-int-">putInt</a></span>(java.lang.String&nbsp;key,
      int&nbsp;value)</code>
<div class="block">Put the given key and value into the compound tag as an <code>IntTag</code>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putIntArray-java.lang.String-int:A-">putIntArray</a></span>(java.lang.String&nbsp;key,
           int[]&nbsp;value)</code>
<div class="block">Put the given key and value into the compound tag as a
 <code>IntArrayTag</code>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putLong-java.lang.String-long-">putLong</a></span>(java.lang.String&nbsp;key,
       long&nbsp;value)</code>
<div class="block">Put the given key and value into the compound tag as a
 <code>LongTag</code>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putLongArray-java.lang.String-long:A-">putLongArray</a></span>(java.lang.String&nbsp;key,
            long[]&nbsp;value)</code>
<div class="block">Put the given key and value into the compound tag as a
 <code>LongArrayTag</code>.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putShort-java.lang.String-short-">putShort</a></span>(java.lang.String&nbsp;key,
        short&nbsp;value)</code>
<div class="block">Put the given key and value into the compound tag as a
 <code>ShortTag</code>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#putString-java.lang.String-java.lang.String-">putString</a></span>(java.lang.String&nbsp;key,
         java.lang.String&nbsp;value)</code>
<div class="block">Put the given key and value into the compound tag as a
 <code>StringTag</code>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html#remove-java.lang.String-">remove</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Remove the given key from the compound tag.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="put-java.lang.String-com.sk89q.jnbt.Tag-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>put</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;put(java.lang.String&nbsp;key,
                              <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&nbsp;value)</pre>
<div class="block">Put the given key and tag into the compound tag.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putByteArray-java.lang.String-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putByteArray</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putByteArray(java.lang.String&nbsp;key,
                                       byte[]&nbsp;value)</pre>
<div class="block">Put the given key and value into the compound tag as a
 <code>ByteArrayTag</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putByte-java.lang.String-byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putByte</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putByte(java.lang.String&nbsp;key,
                                  byte&nbsp;value)</pre>
<div class="block">Put the given key and value into the compound tag as a
 <code>ByteTag</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putDouble-java.lang.String-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putDouble</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putDouble(java.lang.String&nbsp;key,
                                    double&nbsp;value)</pre>
<div class="block">Put the given key and value into the compound tag as a
 <code>DoubleTag</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putFloat-java.lang.String-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putFloat</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putFloat(java.lang.String&nbsp;key,
                                   float&nbsp;value)</pre>
<div class="block">Put the given key and value into the compound tag as a
 <code>FloatTag</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putIntArray-java.lang.String-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putIntArray</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putIntArray(java.lang.String&nbsp;key,
                                      int[]&nbsp;value)</pre>
<div class="block">Put the given key and value into the compound tag as a
 <code>IntArrayTag</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putInt-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putInt</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putInt(java.lang.String&nbsp;key,
                                 int&nbsp;value)</pre>
<div class="block">Put the given key and value into the compound tag as an <code>IntTag</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putLongArray-java.lang.String-long:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putLongArray</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putLongArray(java.lang.String&nbsp;key,
                                       long[]&nbsp;value)</pre>
<div class="block">Put the given key and value into the compound tag as a
 <code>LongArrayTag</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putLong-java.lang.String-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putLong</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putLong(java.lang.String&nbsp;key,
                                  long&nbsp;value)</pre>
<div class="block">Put the given key and value into the compound tag as a
 <code>LongTag</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putShort-java.lang.String-short-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putShort</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putShort(java.lang.String&nbsp;key,
                                   short&nbsp;value)</pre>
<div class="block">Put the given key and value into the compound tag as a
 <code>ShortTag</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putString-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putString</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putString(java.lang.String&nbsp;key,
                                    java.lang.String&nbsp;value)</pre>
<div class="block">Put the given key and value into the compound tag as a
 <code>StringTag</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - they key</dd>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="remove-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;remove(java.lang.String&nbsp;key)</pre>
<div class="block">Remove the given key from the compound tag. Does nothing if the key doesn't exist.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="putAll-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putAll</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;putAll(java.util.Map&lt;java.lang.String,? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;value)</pre>
<div class="block">Put all the entries from the given map into this map.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the map of tags</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this object</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;build()</pre>
<div class="block">Build an unnamed compound tag with this builder's entries.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new compound tag</dd>
</dl>
</li>
</ul>
<a name="create--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>create</h4>
<pre>public static&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;create()</pre>
<div class="block">Create a new builder instance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new builder</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/jnbt/DoubleTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/CompoundTagBuilder.html" target="_top">Frames</a></li>
<li><a href="CompoundTagBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
